Subject: Re: [PATCH net-next] net: enc28j60: Use threaded interrupt instead of workqueue

From: Leon Romanovsky <[email-masked]>
Date: Thu, 11 May 2023 09:59:17 +0300

On Thu, May 11, 2023 at 08:36:46AM +0200, Paolo Abeni wrote:
> On Wed, 2023-05-10 at 19:05 -0700, Jakub Kicinski wrote:
> > On Tue, 9 May 2023 16:56:13 +0300 Leon Romanovsky wrote:
> > > > > This is part of changelog which doesn't belong to commit message. The
> > > > > examples which you can find in git log, for such format like you used,
> > > > > are usually reserved to maintainers when they apply the patch.  
> > > > 
> > > > Is that a new rule?  
> > > 
> > > No, this rule always existed, just some of the maintainers didn't care
> > > about it.
> > > 
> > > > 
> > > > Honestly I think it's important to mention changes applied to
> > > > someone else's patch, if only to let it be known who's to blame
> > > > for any mistakes.  
> > > 
> > > Right, this is why maintainers use this notation when they apply
> > > patches. In your case, you are submitter, patch is not applied yet
> > > and all changes can be easily seen through lore web interface.
> > > 
> > > > 
> > > > I'm seeing plenty of recent precedent in the git history where
> > > > non-committers fixed up patches and made their changes known in
> > > > this way, e.g.:  
> > > 
> > > It doesn't make it correct.
> > > Documentation/maintainer/modifying-patches.rst
> > 
> > TBH I'm not sure if this is the correct reading of this doc.
> > I don't see any problem with Lukas using the common notation.
> > It makes it quite obvious what he changed and the changes are
> > not invasive enough to warrant a major rewrite of the commit msg.
> 
> My reading of such documentation is that (sub-)maintainers could be
> (more frequently) called to this kind of editing, but such editing is
> not restricted.
> 
> In this specific case I could not find quickly via lore references to
> the originating patch.

And this is mainly the issue here. Lukas changes are not different from
what many of us doing when we submit internal patches. We change/update/rewrite
patches which make them different from internal variant.

Once the patches are public, they will have relevant changelog section.

I don't see how modifying-patches.rst can be seen differently.

BTW, Regarding know-to-blame reasoning, everyone who added his
Signed-off-by to the patch is immediately suspicious.

Thanks